"{ Package: 'stx:goodies/petitparser/compiler' }"

"{ NameSpace: Smalltalk }"

PPCListNode subclass:#PPCTokenizingParserNode
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'PetitCompiler-Nodes'
!

!PPCTokenizingParserNode methodsFor:'accessing'!

initialize
    super initialize.
    children := Array new: 3
!

parser
    ^ children at: 1
!

parser: node
    children at: 1 put: node
!

prefix
    ^ #tokenizingParser
!

tokenizer
    ^ children at: 2
!

tokenizer: node
    ^ children at: 2 put: node
!

whitespace
    ^ children at: 3
!

whitespace: node
    children at: 3 put: node
! !

!PPCTokenizingParserNode methodsFor:'visiting'!

accept: visitor
    ^ visitor visitTokenizingParserNode: self
! !

